Package org.bukkit.event.vehicle

# Class VehicleBlockCollisionEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.vehicle.VehicleEvent
org.bukkit.event.vehicle.VehicleCollisionEvent
org.bukkit.event.vehicle.VehicleBlockCollisionEvent

public class VehicleBlockCollisionEvent extends VehicleCollisionEvent
Raised when a vehicle collides with a block.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.vehicle.VehicleEvent

`vehicle`

## Constructor Summary

Constructors
Constructor
Description
`VehicleBlockCollisionEvent(@NotNull Vehicle vehicle, @NotNull Block block)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Gets the block the vehicle collided with

### Methods inherited from class org.bukkit.event.vehicle.VehicleCollisionEvent

`getHandlerList, getHandlers`

### Methods inherited from class org.bukkit.event.vehicle.VehicleEvent

`getVehicle`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VehicleBlockCollisionEvent

public VehicleBlockCollisionEvent(@NotNull @NotNull Vehicle vehicle, @NotNull @NotNull Block block)

## Method Details

### getBlock

@NotNull public @NotNull Block getBlock()
Gets the block the vehicle collided with

Returns:
  the block the vehicle collided with